#######################################################################
#   IBM LOCALE REPOSITORY : SUBMISSION - LOCALE VERIFICATION          #
#######################################################################
#######################################################################
#  Locale Name   : ar_AA             Date Submitted: 10-November-94   #
#  Country/Region: Countries using Arabic script                      #
#  Language(s)   : Arabic                                             #
#                                                                     #
#######################################################################
#  Approval Status:  __ Approved as National Standard                 #
#                    __ Pending National Standards Approval           #
#                    __ de facto Standard                             #
#                    xx Other (describe) - Shipped with               #
#                       OS/2 Developer's Connection CDROM             #
#######################################################################
#  Pedigree:  Origin: AIX 3.2 Country Specific Solution               #
#                                                                     #
#             Modification: For  864 codepage support                 #
#                                                                     #
#######################################################################
#                 H/W Platform     OS Version/Level    Using Charmap  #
#                 -------------    ----------------    -------------  #
#  Successfully ) PS/2             OS/2 2.1            IBM-864        #
#  compiled on: ) x                x                   x              #
#               ) x                x                   x              #
#                                                                     #
#  NOTES:                                                             #
#                                                                     #
#######################################################################
#  Submitted by -  Name: Joe Ross                                     #
#                  VNET: JOEROSS at AUSTIN                            #
#              Internet: ross@austin.ibm.com                          #
#             Telephone: 8-678-7868                                   #
#                   Fax: n/a                                          #
#        Street Address: 11400 Burnett Road, Austin, Texas 78578.     #
#                                                                     #
#######################################################################
#  COMPONENT: CFGNLS
#
#  ORIGINS: 27
#
#  (C) COPYRIGHT International Business Machines Corp. 1991
#  All Rights Reserved
#  Licensed Materials - Property of IBM
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
######################################################################
# Locale Source for Ar_AA.IBM-1046 locale                            #
######################################################################

#############
LC_CTYPE
#############

upper   <A>;...;<Z>

lower   <a>;...;<z>


alpha   <A>;...;<Z>;\
        <a>;...;<z>;\
        <isolated-hamzaonlamalef>;...;<tail>;\
        <final-maddaonalef>;\
        <final-hamzaonalef>;...;<theh>;\
        <jeem>;...;<feh>;\
        <seen>;...;<sad>;\
        <hamza>;...;<initial-ghain>;\
        <tatweel>;...;<yeh>

space   <tab>;\
        <newline>;\
        <vertical-tab>;\
        <form-feed>;\
        <carriage-return>;\
        <space>;\
        <nobreakspace>

cntrl   <NUL>;...;<IS1>;\
        <DEL>

punct   <exclamation-mark>;...;<slash>;\
        <colon>;...;<commercial-at>;\
        <left-square-bracket>;...;<grave-accent>;\
        <left-brace>;...;<tilde>;\
        <arabic-comma>;\
        <arabic-semicolon>;\
        <arabic-questionmark>

graph   <exclamation-mark>;...;<tilde>;\
        <degree>;...;<boxfill>

print   <space>;...;<tilde>;\
        <degree>;...;<boxfill>

digit   <zero>;...;<nine>

xdigit  <zero>;...;<nine>;\
        <A>;...;<F>;\
        <a>;...;<f>

blank   <space>;\
        <tab>

toupper (<a>,<A>);(<b>,<B>);(<c>,<C>);(<d>,<D>);(<e>,<E>);\
        (<f>,<F>);(<g>,<G>);(<h>,<H>);(<i>,<I>);(<j>,<J>);\
        (<k>,<K>);(<l>,<L>);(<m>,<M>);(<n>,<N>);(<o>,<O>);\
        (<p>,<P>);(<q>,<Q>);(<r>,<R>);(<s>,<S>);(<t>,<T>);\
        (<u>,<U>);(<v>,<V>);(<w>,<W>);(<x>,<X>);(<y>,<Y>);\
        (<z>,<Z>)


END LC_CTYPE


#############
LC_COLLATE
#############

order_start

<NUL>
<SOH>
<STX>
<ETX>
<EOT>
<ENQ>
<ACK>
<BEL>
<backspace>
<tab>
<newline>
<vertical-tab>
<form-feed>
<carriage-return>
<SO>
<SI>
<DLE>
<DC1>
<DC2>
<DC3>
<DC4>
<NAK>
<SYN>
<ETB>
<CAN>
<EM>
<SUB>
<ESC>
<IS4>
<IS3>
<IS2>
<IS1>
<space>
<circumflex>
<underscore>
<shy>
<hyphen-minus>
<comma>
<arabic-comma>
<semicolon>
<arabic-semicolon>
<colon>
<exclamation-mark>
<question-mark>
<arabic-questionmark>
<slash>
<period>
<grave-accent>
<tilde>
<apostrophe>
<quotation-mark>
<left-parenthesis>
<right-parenthesis>
<left-square-bracket>
<right-square-bracket>
<left-curly-bracket>
<right-curly-bracket>
<commercial-at>
<currency>
<dollar-sign>
<cent>
<sterling>
<asterisk>
<backslash>
<ampersand>
<number-sign>
<percent-sign>
<plus-sign>
<arabic-divide>
<arabic-multiply>
<less-than-sign>
<equals-sign>
<greater-than-sign>
<vertical-line>
<nobreakspace>
<tail>
<beta>
<bullet>
<broken-bar>
<degree>
<guillemot-left>
<guillemot-right>
<dot>
<infinity>
<not>
<one-half>
<one-quarter>
<phi>
<plus-minus>
<square-root>
<zero>
<hindi-zero>
<one>
<hindi-one>
<two>
<hindi-two>
<three>
<hindi-three>
<four>
<hindi-four>
<five>
<hindi-five>
<six>
<hindi-six>
<seven>
<hindi-seven>
<eight>
<hindi-eight>
<nine>
<hindi-nine>
<a>
<A>
<b>
<B>
<c>
<C>
<d>
<D>
<e>
<E>
<f>
<F>
<g>
<G>
<h>
<H>
<i>
<I>
<j>
<J>
<k>
<K>
<l>
<L>
<m>
<M>
<n>
<N>
<o>
<O>
<p>
<P>
<q>
<Q>
<r>
<R>
<s>
<S>
<t>
<T>
<u>
<U>
<v>
<V>
<w>
<W>
<x>
<X>
<y>
<Y>
<z>
<Z>
<hamza>
<maddaonalef>
<final-maddaonalef>
<hamzaonalef>
<final-hamzaonalef>
<hamzaonwaw>
<initial-hamzaonyeh>
<alef>
<final-alef>
<beh>
<initial-beh>
<tehmarbuta>
<teh>
<initial-teh>
<theh>
<initial-theh>
<jeem>
<initial-jeem>
<hah>
<initial-hah>
<khah>
<initial-khah>
<dal>
<thal>
<reh>
<zain>
<seen>
<initial-seen>
<sheen>
<initial-sheen>
<sad>
<initial-sad>
<dad>
<initial-dad>
<tah>
<zah>
<ain>
<final-ain>
<initial-ain>
<middle-ain>
<ghain>
<final-ghain>
<initial-ghain>
<middle-ghain>
<feh>
<initial-feh>
<qaf>
<initial-qaf>
<kaf>
<initial-kaf>
<lam>
<initial-lam>
<isolated-maddaonlamalef>
<connected-maddaonlamalef>
<isolated-hamzaonlamalef>
<connected-hamzaonlamalef>
<isolated-lamalef>
<connected-lamalef>
<meem>
<initial-meem>
<noon>
<initial-noon>
<final-heh>
<heh>
<middle-heh>
<waw>
<alefmaksura>
<final-alefmaksura>
<yeh>
<final-yeh>
<initial-yeh>
<shadda>
<connected-shadda>
<tatweel>
<boxfill-medium>
<box-horizontal>
<box-vertical>
<box-intersection>
<box-int-right>
<box-int-top>
<box-int-left>
<box-int-bottom>
<box-top-right>
<box-top-left>
<box-bottom-left>
<box-bottom-right>
<boxfill>
<DEL>

order_end


END LC_COLLATE


#############
LC_MONETARY
#############

currency_symbol   "<currency>"
mon_decimal_point "<comma>"
mon_thousands_sep "<period>"
mon_grouping      "3;0"
positive_sign     ""
negative_sign     "<hyphen-minus>"
int_frac_digits   2
frac_digits       2
p_cs_precedes     1
p_sep_by_space    0
n_cs_precedes     1
n_sep_by_space    0
p_sign_posn       2
n_sign_posn       2
debit_sign        "<D><B>"
credit_sign       "<C><R>"
left_parenthesis  "<left-parenthesis>"
right_parenthesis "<right-parenthesis>"

END LC_MONETARY


#############
LC_NUMERIC
#############

decimal_point     "<comma>"
thousands_sep     "<period>"
grouping          "3;0"

END LC_NUMERIC

#############
LC_TIME
#############
abday   " <hah>";\
        " <noon>";\
        " <theh>";\
        " <reh>";\
        " <khah>";\
        " <jeem>";\
        " <seen>"

day     "<alef><lam><hamzaonalef><hah><dal>";\
        "<alef><lam><hamzaonalef><theh><noon><yeh><noon>";\
        "<alef><lam><theh><lam><alef><theh><alef><hamza>";\
        "<alef><lam><hamzaonalef><reh><beh><ain><alef><hamza>";\
        "<alef><lam><khah><meem><yeh><seen>";\
        "<alef><lam><jeem><meem><ain><heh>";\
        "<alef><lam><seen><beh><teh>"

abmon   "<yeh><noon><alef>";\
        "<feh><beh><reh>";\
        "<meem><alef><reh>";\
        "<alef><beh><reh>";\
        "<meem><alef><yeh>";\
        "<yeh><waw><noon>";\
        "<yeh><waw><lam>";\
        "<hamzaonalef><ghain><seen>";\
        "<seen><beh><meem>";\
        "<hamzaonalef><kaf><teh>";\
        "<noon><waw><feh>";\
        "<dal><yeh><seen>"

mon     "<yeh><noon><alef><yeh><reh>";\
        "<feh><beh><reh><alef><yeh><reh>";\
        "<meem><alef><reh><seen>";\
        "<alef><beh><reh><yeh><lam>";\
        "<meem><alef><yeh><waw>";\
        "<yeh><waw><noon><yeh><heh>";\
        "<yeh><waw><lam><yeh><heh>";\
        "<hamzaonalef><ghain><seen><tah><seen>";\
        "<seen><beh><teh><meem><beh><reh>";\
        "<hamzaonalef><kaf><teh><waw><beh><reh>";\
        "<noon><waw><feh><meem><beh><reh>";\
        "<dal><yeh><seen><meem><beh><reh>"

d_t_fmt " %A %d %B %H:%M:%S %Y"

d_fmt   "%d/%m/%y"

t_fmt   "%H:%M:%S"

nlldate "%B %d %Y"
nlyear  "19890108,Heisei:19261225,Showa:"
nltmisc "at:each:every:on:through:am:pm:zulu"
nltstr  "now:yesterday:tomorrow:noon:midnight:net:weekdays:weekend:today"
nltunits        "minute:minutes:hour:hours:day:days:week:weeks:month:months:year:years:min:mins"

am_pm   "<A><M>";"<P><M>"

END LC_TIME


#############
LC_MESSAGES
#############


yesexpr "^([yY][eE][sS]|[yY]|[<noon>][<ain>][<meem>]|[<noon>])"
noexpr "^([nN][oO]|[nN]|[<lam>][<alef>]|[<lam>])"
yesstr  "yes:y:Y:<noon><ain><meem>:<noon>:"
nostr   "no:n:N:<lam><alef>:<lam>:"


END LC_MESSAGES
